// 判断用户是什么身份
export const filterIdentity = () => {
	// 从缓存中获取card_number
	const card_number = uni.getStorageSync('bus_card_number')
	// 从缓存中获取用户信息userInfo
	const userInfo = uni.getStorageSync('bus-userInfo')

	if (!card_number || !userInfo) {
		// 如果card_number或者用户信息不存在,跳转回授权页
		uni.reLaunch({
			url: '/pages/index/index'
		})

	} else {
		// 当前用户身份信息
		const info = JSON.parse(userInfo)
		// 当前页面路由
		const curRouteStr = getPageUrl()

		// 从用户信息中判断用户是什么身份并跳转到对应的路由
		if ((info.user_zz === '教师' || info.user_zz === '临时人员') && curRouteStr !== 'home' && curRouteStr !==
			'my') {
			uni.switchTab({
				url: '/pages/home/home'
			})
		} else if (info.user_zz === '车队长' && curRouteStr !== 'record' && curRouteStr !== 'detail') {
			uni.reLaunch({
				url: '/pages/record/record'
			})
		} else if (info.user_zz === '司机' && curRouteStr !== 'recordDriver' && curRouteStr !== 'detailDriver') {
			uni.reLaunch({
				url: '/pages/recordDriver/recordDriver'
			})
		}
	}
}

// 获取当前页面路由
const getPageUrl = () => {
	// 获取当前打开过的页面路由数组
	let routes = getCurrentPages()
	// 获取当前页面路由，也就是最后一个打开的页面路由
	let curRoute = routes[routes.length - 1].route

	let curRouteStr = curRoute.split('/')[2]

	return curRouteStr
}